Foros del Web » Creando para Internet » Flash y Actionscript »

BLA BLA BLA ,pero nadie dice algo de este error

Estas en el tema de BLA BLA BLA ,pero nadie dice algo de este error en el foro de Flash y Actionscript en Foros del Web. tengo este codigo package { import flash.display.*; dynamic public class preloader_basics extends MovieClip { public var progress_bar:MovieClip; public var info_bg:MovieClip; public function preloader_basics() { return; ...
  #1 (permalink)  
Antiguo 09/08/2008, 07:27
 
Fecha de Ingreso: enero-2007
Mensajes: 24
Antigüedad: 10 años, 10 meses
Puntos: 0
BLA BLA BLA ,pero nadie dice algo de este error

tengo este codigo

package
{
import flash.display.*;

dynamic public class preloader_basics extends MovieClip
{
public var progress_bar:MovieClip;
public var info_bg:MovieClip;

public function preloader_basics()
{
return;
}// end function

}
}


y me da este error de salida

Los scripts de clase ActionScript 2.0 sólo pueden definir construcciones de clase o interfaz.
en la linea 2
dynamic public class preloader_basics extends MovieClip
este en la linea5
Se ha detectado un '}' inesperado
y este en la linea 16


aver si por fin alguien me dice que es l oque pasa

GRACIAS
  #2 (permalink)  
Antiguo 09/08/2008, 12:35
Avatar de jahepi
Colaborador
 
Fecha de Ingreso: diciembre-2004
Ubicación: Querétaro
Mensajes: 1.124
Antigüedad: 13 años
Puntos: 43
Respuesta: BLA BLA BLA ,pero nadie dice algo de este error

Hola hunnay !

Parece que estas intentando compilar tu proyecto en Actionscript 2.0, y la clase que estas mostrando esta en Actionscript 3.0.

Un saludote !
__________________
Una contraseña es como la ropa interior. No deberías dejarlas afuera a la vista de otras personas, deberías cambiarla regularmente, y ni se te ocurra prestarla a extraños.
  #3 (permalink)  
Antiguo 09/08/2008, 12:45
Avatar de TMeister
Crazy Coder
 
Fecha de Ingreso: enero-2002
Ubicación: En la Oficina
Mensajes: 2.880
Antigüedad: 15 años, 11 meses
Puntos: 193
Respuesta: BLA BLA BLA ,pero nadie dice algo de este error

Asi es,

En AS2 no existen los "package" ni extends.

una clase en AS2 sera algo asi:

Código:
class killme
{
	public function killme()
	{
		trace("some");
	}
}
Saludos!!
  #4 (permalink)  
Antiguo 10/08/2008, 02:58
 
Fecha de Ingreso: enero-2007
Mensajes: 24
Antigüedad: 10 años, 10 meses
Puntos: 0
Respuesta: BLA BLA BLA ,pero nadie dice algo de este error

lo he puesto como actionscript3

y me da este error
1106: El operando de incremento debe ser una referencia.if (_global.videoPos < video_xml.video.length()--)

5000: La clase 'pinkhand_fla.audio_player_mc_28' debe ser una subclase de 'flash.display.MovieClip', ya que está vinculada a un símbolo de biblioteca de dicho tipo.
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 16:54.